Skip to main content
PUT
/
newsletter
/
update-email
Update email
curl --request PUT \
  --url https://store.salesive.com/api/v1/newsletter/update-email \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-shop-id: <api-key>' \
  --data '
{
  "oldEmail": "jsmith@example.com",
  "newEmail": "jsmith@example.com"
}
'

Request

PUT /newsletter/update-email
x-shop-id: {{shopId}}
Content-Type: application/json

{
  "oldEmail": "jane@example.com",
  "newEmail": "jane.updated@example.com"
}

Headers

HeaderTypeDescription
x-shop-idstringIdentify the shop.
Content-TypestringAlways set to application/json.

Body parameters

FieldTypeRequiredDescription
oldEmailstringYesCurrent email address.
newEmailstringYesNew email address.

Successful response

{
    "status": 200,
    "success": true,
    "message": "Email address updated successfully",
    "data": {
        "_id": "6a27d7ca289b87893fcbde7c",
        "name": "Jane Smith",
        "email": "jane.updated@example.com",
        "shop": "68b8f52575da81b332af29f1",
        "isSubscribed": true,
        "source": "footer",
        "createdAt": "2026-06-09T09:07:22.289Z",
        "updatedAt": "2026-06-09T09:07:53.788Z",
        "__v": 0
    }
}

Error response

{
    "status": 404,
    "success": false,
    "message": "Subscriber not found",
    "data": null
}

Authorizations

Authorization
string
header
required

JWT issued by the Salesive Store API for authenticated shoppers.

x-shop-id
string
header
required

Optional storefront identifier sent as a header to scope responses to a specific shop. Try It requests remember this value once provided.

Headers

x-shop-id
string

Optional identifier that scopes responses to a specific storefront when the referer cannot be inferred.

Body

application/json
oldEmail
string<email>
required
newEmail
string<email>
required

Response

200

Email updated successfully